Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.api
Interface SkypeListener

    public interface SkypeListener

Method Summary
`void` | `onApp2AppDatagram(Skype object, java.lang.String appname, java.lang.String stream, byte[] data)` This event gets fired on incoming app2app datagram.
`void` | `onApp2AppStreamListChange(Skype object, java.lang.String appname, Skype.App2AppStreams listType, java.lang.String[] streams, int[] receivedSizes)` In context of datagrams, this event will fire when: - Connection is established between two app2app applications.
`void` | `onAvailableDeviceListChange(Skype object)` This callback gets fired when there are changes in the system audio device list (USB headset gets plugged in or is detached.)
`void` | `onAvailableVideoDeviceListChange(Skype object)` This callback gets fired when there are changes in the system video device list (USB webcam gets plugged in or is detached.)
`void` | `onContactGoneOffline(Skype object, Contact contact)` This contact has gone offline.
`void` | `onContactOnlineAppearance(Skype object, Contact contact)` This contact has appeared online.
`void` | `onConversationListChange(Skype object, Conversation conversation, Conversation.ListType type, boolean added)` This event gets fired when a Conversation item is added or removed from the list specified in the type argument.
`void` | `onH264Activated(Skype object)` Event is implemented only in SkypeKit builds.
`void` | `onMessage(Skype object, Message message, boolean changesInboxTimestamp, Message supersedesHistoryMessage, Conversation conversation)` onMessage
`void` | `onNewCustomContactGroup(Skype object, ContactGroup group)` onNewCustomContactGroup
`void` | `onNrgLevelsChange(Skype object)` This callback gets fired when the audio strength changes in either playback or recording audio streams.
`void` | `onProxyAuthFailure(Skype object, Skype.ProxyType type)` onProxyAuthFailure
`void` | `onQualityTestResult(Skype object, Skype.QualityTestType testType, Skype.QualityTestResult testResult, java.lang.String withUser, java.lang.String details, java.lang.String xmlDetails)` onQualityTestResult

Method Detail

### onNewCustomContactGroup

    void onNewCustomContactGroup(Skype object,
                                 ContactGroup group)

  onNewCustomContactGroup

  Parameters:
    `object` -
    `group` - eg, new contact group loaded from CBL

### onContactOnlineAppearance

    void onContactOnlineAppearance(Skype object,
                                   Contact contact)

  This contact has appeared online. display alert * @param contact

### onContactGoneOffline

    void onContactGoneOffline(Skype object,
                              Contact contact)

  This contact has gone offline. display alert * @param contact

### onConversationListChange

    void onConversationListChange(Skype object,
                                  Conversation conversation,
                                  Conversation.ListType type,
                                  boolean added)

  This event gets fired when a Conversation item is added or removed from the list specified in the type argument. The primary use of this event is to detect creation of new Conversation objects. It can also be used for detecting occurance of live sessions - by monitoring added = true in Conversation.LIVE_CONVERSATIONS. Note that this method is not entirely sufficient for detecting live session termination (added = false and type = Conversation.LIVE_CONVERSATIONS). When the live session goes down, the default behaviour is that the Conversation object remains in the LIVE_CONVERSATIONS list for approximately 10 seconds. When another live session comes up within the same Conversation, the OnConversationListChange event will not fire - because the conversation was already in that list. There are two ways of getting around that. Firstly you can have all the conversations referenced at all times and then monitor Conversation.P_LOCAL_LIVESTATUS property changes, in which case you can pick up incoming live sessions from there. Alternatively, you can remove the delay between live session termination and conversation's removal from the LIVE_CONVERSATIONS list. This delay is controlled by the SETUPKEY_RECENTLY_LIVE_TIMEOUT setup key. To remove the delay, use Skype.SetInt(SETUPKEY_RECENTLY_LIVE_TIMEOUT, 0). Note that this setup key is account-based. You will need to have an account logged in in order to modify its value. * @param conversation Conversation object that was added or removed to a list specified in the type argument.

  Parameters:
    `type` - Specifies the list, into which the conversation was added or removed from.
    `added` - Specifies whether the conversation was added or removed. For ALL_CONVERSATIONS list, the removed event is only fired when the conversation is actually deleted.

### onMessage

    void onMessage(Skype object,
                   Message message,
                   boolean changesInboxTimestamp,
                   Message supersedesHistoryMessage,
                   Conversation conversation)

  onMessage

  Parameters:
    `object` -
    `message` -
    `changesInboxTimestamp` - if changesInboxTimestamp==true is a hint that tray alert should probably be displayed
    `supersedesHistoryMessage` - DEPRECATED, not set anymore
    `conversation` -

### onAvailableVideoDeviceListChange

    void onAvailableVideoDeviceListChange(Skype object)

  This callback gets fired when there are changes in the system video device list (USB webcam gets plugged in or is detached.)

### onH264Activated

    void onH264Activated(Skype object)

  Event is implemented only in SkypeKit builds. Fired when Skype video library uses software H264 codec for the first time on the particular hardware by particular SkypeKit-based application

### onQualityTestResult

    void onQualityTestResult(Skype object,
                             Skype.QualityTestType testType,
                             Skype.QualityTestResult testResult,
                             java.lang.String withUser,
                             java.lang.String details,
                             java.lang.String xmlDetails)

  onQualityTestResult

  Parameters:
    `object` -
    `testType` -
    `testResult` -
    `withUser` -
    `details` -
    `xmlDetails` -

### onAvailableDeviceListChange

    void onAvailableDeviceListChange(Skype object)

  This callback gets fired when there are changes in the system audio device list (USB headset gets plugged in or is detached.)

### onNrgLevelsChange

    void onNrgLevelsChange(Skype object)

  This callback gets fired when the audio strength changes in either playback or recording audio streams. Useful for providing visual indicators of audio activity in your UI.

### onProxyAuthFailure

    void onProxyAuthFailure(Skype object,
                            Skype.ProxyType type)

  onProxyAuthFailure

  Parameters:
    `object` -
    `type` -

### onApp2AppDatagram

    void onApp2AppDatagram(Skype object,
                           java.lang.String appname,
                           java.lang.String stream,
                           byte[] data)

  This event gets fired on incoming app2app datagram. * @param appname App2app application ID.

  Parameters:
    `stream` - App2app stream ID - see OnApp2AppStreamListChange event for obtaining stream IDs.
    `data` - Datagram payload - limited to 1500 bytes.

### onApp2AppStreamListChange

    void onApp2AppStreamListChange(Skype object,
                                   java.lang.String appname,
                                   Skype.App2AppStreams listType,
                                   java.lang.String[] streams,
                                   int[] receivedSizes)

  In context of datagrams, this event will fire when: - Connection is established between two app2app applications. That is, when both parties have an app up with the same name and -both- used App2AppConnect In that case, both parties get this event, with listType ALL_STREAMS - When a datagram is sent, the sender will get this event with listType SENDING_STREAMS Receiver of the datagram will get OnApp2AppDatagram event instead. - When the remote party drops app2app connection, the local user will get OnApp2AppStreamListChange with listType ALL_STREAMS and streams.size() zero. In context of stream reads/writes, this event will fire for both the sender (listType == SENDING_STREAMS)and the receiver (listType == RECEIVED_STREAMS). For receiver side, this is the place to put your reading code - App2AppRead.

  Parameters:
    `appname` - application ID - the name you supplied in App2AppCreate.
    `listType` - application list type (read/write/all)
    `streams` - SEStringlist with affected stream IDs.
    `receivedSizes` - For RECEIVED_STREAMS, contains the number of bytes in each stream waiting to be read

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.